Subject: Re: [bug#40920] gnu: Add gtksu.

From: Raghav Gururajan <[email-masked]>
Date: Sun, 3 May 2020 23:23:04 -0400

Hi!

> Hello, this patch looks good to me, but after install, it doesn't works..
> 
> I think gtksuwrap should be setup with 'setuid', and gtksu should look
> it through PATH or under '/run/setuid-programs'.  Also this program
> lookup executables in '_PATH_STDPATH' (and '_PATH_DEFPATH') from glibc's
> 'shadow.h' and 'paths.h', they're defined as
> '/usr/bin:/bin:/usr/sbin:/sbin' and '/usr/bin:/bin', so we'd better
> modify 'paths.h' in glibc or modify gtksu to use a suitable 'PATH'.

Sorry, I sent this patch by mistake. I was packaged ktsuss, which is now in
master. :-)

Regards,
RG.